AnsweredAssumed Answered

Upgrade 14.2 to 15.1 - SQL Server version error

Question asked by Allison.nichols on May 15, 2017
Latest reply on May 15, 2017 by Allison.nichols

We have a sandbox running PPM 14.2.  We upgraded the DBMS from SQL Server 2008 to SQL Server 2014, since 2008 is not supported in 15.1.  However, when trying to upgrade PPM to 15.1, we are now getting the following error message on pre-check:

check-db-version.xmlERRORMSSQL Database cannot be 2014 when upgrading from pre-14.3 release. Please refer to the Product Architecture Stack (PAS) for supported database versions.

 

Is 2014 not actually supported, at least when upgrading???  Do I REALLY need to install SQL Server 2012, upgrade, and then upgrade 2014 (with all the associated license costs that incurs to use two releases)?!?!?!  Is there any workaround?

Outcomes